Subject: RE: [Sipping] I-D ACTION:draft-schulzrinne-sipping-sos-02.txt

From: "David R. Oran" <[email-masked]>
Date: Mon, 03 Jun 2002 07:37:56 -0400

--On Thursday, May 30, 2002 3:43 PM -0400 Michael Hammer 
<[email-masked]> wrote:

> There was already a U.S court case (Supreme Court possibly - would need
> to dig that up) that ruled that (and as a non-lawyer I paraphrase) in
> essence by dialing "911" the user had essentially waived any expectations
> of privacy.
>
There is a subtle, but possible crucial distinction to be made here. What I 
believe the user wived by calling 911 is the expectation that the service 
provider would preserve his right to privacy by witholding information it 
had about the user. In the PSTN with dumb endpoints the provider's 
cooperation in critical in preserving privacy.

In the IP world with intelligent endpoints, this may no longer be the case 
since the provider may know very little useful to the 911 center about the 
user. The choice then devolves to either refusing the call or delivering an 
anonymous call to the 911 center. Either has disadvantages. SIP can cut 
this gordian kot by having the 911 center itself challenge the user device 
for authentication information.

> Furthermore, there are additional legal requirements placed on network
> service providers when delivering 911 calls.  In the case of mobile
> networks, this would include geographic location information.
>
To the extent they have it. Users probably should not assume any degree of 
location privacy when using mobile networks that do network-based location 
determination (as opposed to device-based). I would prefer a different 
architecture (where the mobile device ascertains its own location based on 
information from the radio channels and then decides whether or not to 
reveal the information) but there you have it.

> I wonder what NENA will do when people start using SIP to dial an
> emergency call.
>
See above.

> Mike
>
>
> At 10:07 AM 5/30/2002 -0500, David Oliver wrote:
>> Henning,
>>
>> One nit and one comment on
>> http://www.ietf.org/internet-drafts/draft-schulzrinne-sipping-sos-02.txt:
>>
>>
>> 4 Request Handling (nit):
>>
>> s/a outbound/an outbound/
>>
>>
>> 6 Security Considerations:
>>
>> The most important reason for providing traceability of emergency calls
>> is to maximize the chance of emergency services reaching the user in
>> good time, even if the user is incapacitated, the equipment fails or the
>> connection breaks. Such events are probable in emergency scenarios such
>> as heart attack, building fire, or a holdup.
>>
>> It is reasonable to override established security and privacy rules for
>> emergency calls, providing the practice is appropriately publicized, and
>> the mechanism is distinctive (e.g. an "sos" URI), so users cannot
>> accidentally have their expectations bypassed. The legal implications
>> should be minimized by the distinctive mechanism (together with language
>> in service provider contracts). Many jurisdictions providing strong
>> privacy rights allow for call tracing and cell phone location for
>> emergency calls only; conversely, a person calling the police on their
>> standard PSTN number to make an anonymous report would expect normal
>> privacy.
>>
>> Regards,
>>
>> David C. Oliver
>> Principal Engineer
>> SecureLogix Corp
>> Email: [email-masked] <mailto:[email-masked]>
>> Tel:   210.402.9669
>> Fax:   210.402.6996
>>
>>
>> _______________________________________________
>> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>> This list is for NEW development of the application of SIP
>> Use [email-masked] for questions on current sip
>> Use [email-masked] for new developments of core SIP
>
>
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

-----------------------------------------------------------
David R. Oran                   Phone/Fax: +1 978 264 2048
Cisco Systems                   VoIP: +1 408 571 4576
7 Ladyslipper Lane              Email: [email-masked]
Acton, MA 01720

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Henning Schulzrinne <[email-masked]>
Date: Mon, 03 Jun 2002 10:49:47 -0400

> There is a subtle, but possible crucial distinction to be made here. 
> What I believe the user wived by calling 911 is the expectation that the 
> service provider would preserve his right to privacy by witholding 
> information it had about the user. In the PSTN with dumb endpoints the 
> provider's cooperation in critical in preserving privacy.

This gets even more complicated as they are probably three entities in 
many cases: the caller, a private, non-regulated entity such as the 
users's apartment complex or employer, and a regulated carrier. The 
employer or apartment complex owner may be able to locate the user, at 
least down to the Ethernet switch port. Whether it can be compelled to 
do so or is obligated to do so from a user perspective (can the user or 
his heirs sue the apartment complex if it didn't make a reasonable 
effort to provide this information?) is another matter. Since it is 
likely that all situations will exists and there will be users with a 
wide range of preferences, the technology should be neutral in that regard.

(Rumour has it that some urban PSAPs are reluctant to dispatch police to 
payphone-dialed 911 calls, due to the ambush potential.)

> 
> In the IP world with intelligent endpoints, this may no longer be the 
> case since the provider may know very little useful to the 911 center 
> about the user. The choice then devolves to either refusing the call or 
> delivering an anonymous call to the 911 center. Either has 
> disadvantages. SIP can cut this gordian kot by having the 911 center 
> itself challenge the user device for authentication information.
>